commit f063ae67d2cc09ded1c749ff81d001f926596932
Author: Leandro Lucarella <llucarella@integratech.com.ar>
Date:   Tue May 19 10:45:49 2009 -0300

    Don't add trailing spaces when generating a Doxyfile

diff --git a/src/config.l b/src/config.l
index 1f72fe6..92aa252 100644
--- a/src/config.l
+++ b/src/config.l
@@ -77,20 +77,27 @@ static QCString configStringRecode(
 
 /* -----------------------------------------------------------------
  */
-
+#include <iostream>
 QCString ConfigOption::convertToComment(const QCString &s)
 {
   QCString result;
   if (s.isEmpty()) return result;
   else
   {
-    result+="# ";
     QCString tmp=s.stripWhiteSpace();
     char *p=tmp.data();
     char c;
+    result+="#";
+    if (*p && *p!='\n')
+      result+=" ";
     while ((c=*p++))
     {
-      if (c=='\n') result+="\n# ";
+      if (c=='\n')
+      {
+        result+="\n#";
+        if (*p && *p!='\n')
+          result+=" ";
+      }
       else result+=c;
     }
     result+='\n';
@@ -100,12 +107,13 @@ QCString ConfigOption::convertToComment(const QCString &s)
 
 void ConfigOption::writeBoolValue(QTextStream &t,bool v)
 {
+  t << " ";
   if (v) t << "YES"; else t << "NO";
 }
 
 void ConfigOption::writeIntValue(QTextStream &t,int i)
 {
-  t << i;
+  t << " " << i;
 }
 
 void ConfigOption::writeStringValue(QTextStream &t,QCString &s)
@@ -117,6 +125,7 @@ void ConfigOption::writeStringValue(QTextStream &t,QCString &s)
   const char *p=se.data();
   if (p)
   {
+    t << " ";
     while ((c=*p++)!=0 && !needsEscaping) 
       needsEscaping = (c==' ' || c=='\n' || c=='\t' || c=='"' || c=='#');
     if (needsEscaping)
@@ -145,7 +154,10 @@ void ConfigOption::writeStringList(QTextStream &t,QStrList &l)
   while (p)
   {
     QCString s=p;
-    if (!first) t << "                         ";
+    if (first)
+      t << " ";
+    else
+      t << "                         ";
     first=FALSE;
     writeStringValue(t,s);
     p = l.next();
